Name:    kde-dev-utils
Summary: Utilities for developers using KDE
Version: 4.14.1
Release: 1%{?dist}

License: GPLv2+ and LGPLv2+
URL:     http://www.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  libtool-ltdl-devel
BuildRequires:  binutils-devel binutils-static

Requires:       %{name}-kmtrace = %{version}-%{release}
Requires:       %{name}-kpartloader = %{version}-%{release}
Requires:       %{name}-kstartperf = %{version}-%{release}
Requires:       %{name}-kuiviewer = %{version}-%{release}

Conflicts:      kdesdk-common < 4.10.80


%description
Small utilities for developers using KDE/Qt libs/frameworks

%package devel
Summary: Development files for %{name}
Obsoletes: kdesdk-devel < 4.10.80
Provides:  kdesdk-devel = %{version}-%{release}
Requires:  %{name}-kmtrace-devel = %{version}-%{release}
%description devel
%{summary}.

%package kmtrace
Summary: Assist with malloc debugging using glibc's "mtrace" functionality
Obsoletes: kdesdk-kmtrace < 4.10.80
Provides: kdesdk-kmtrace = %{version}-%{release}
Requires: %{name}-kmtrace-libs%{?_isa} = %{version}-%{release}
%description kmtrace
%{summary}.

%package kmtrace-libs
Summary: Runtime libraries for kmtrace
# when split occurred
Obsoletes: kdesdk-kmtrace-libs < 4.10.80
Provides: kdesdk-kmtrace-libs = %{version}-%{release}
Requires: %{name}-kmtrace = %{version}-%{release}
%description kmtrace-libs
%{summary}.

%package kmtrace-devel
Summary: Developer files for kmtrace
Obsoletes: kdesdk-kmtrace-devel < 4.10.80
Provides: kdesdk-kmtrace-devel = %{version}-%{release}
Requires: %{name}-kmtrace-libs%{?_isa} = %{version}-%{release}
%description kmtrace-devel
%{summary}.

%package kpartloader
Summary: KPart loader
Obsoletes: kdesdk-kpartloader < 4.10.80
Provides:  kdesdk-kpartloader = %{version}-%{release}
%description kpartloader
%{summary}.

%package kstartperf
Summary: Startup time measurement tool for KDE applications
Obsoletes: kdesdk-kstartperf < 4.10.80
Provides:  kdesdk-kstartperf = %{version}-%{release}
%description kstartperf
%{summary}.

%package kuiviewer
Summary: Displays designer UI files 
Obsoletes: kdesdk-kuiviewer < 4.10.80
Provides:  kdesdk-kuiviewer = %{version}-%{release}
%description kuiviewer 
%{summary}.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
desktop-file-validate %{buildroot}/%{_kde4_datadir}/applications/kde4/kuiviewer.desktop

%files
%doc COPYING

%files devel
%{_kde4_includedir}/kprofilemethod.h

%files kmtrace
%doc kmtrace/README
%{_kde4_bindir}/kmtrace
%{_kde4_bindir}/demangle
%{_kde4_bindir}/kmmatch
%{_kde4_bindir}/kminspector
%{_kde4_appsdir}/kmtrace/
%{_mandir}/man1/demangle.1.gz

%files kmtrace-libs
%{_kde4_libdir}/libktrace.so.4*

%post kmtrace-libs -p /sbin/ldconfig
%postun kmtrace-libs -p /sbin/ldconfig

%files kmtrace-devel
%{_kde4_includedir}/ktrace.h
%{_kde4_libdir}/libktrace.so

%files kpartloader
%{_kde4_bindir}/kpartloader
%{_kde4_appsdir}/kpartloader/kpartloaderui.rc

%files kstartperf
%doc kstartperf/README
%{_kde4_bindir}/kstartperf
%{_kde4_libdir}/kde4/kstartperf.so

%post kuiviewer
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans kuiviewer
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kuiviewer
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
/usr/bin/update-desktop-database &> /dev/null || :
fi


%files kuiviewer
%{_kde4_bindir}/kuiviewer
%{_kde4_appsdir}/kuiviewer/
%{_kde4_appsdir}/kuiviewerpart/
%{_kde4_libdir}/kde4/kuiviewerpart.so
%{_kde4_datadir}/applications/kde4/kuiviewer.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kuiviewer.*
%{_kde4_datadir}/kde4/services/kuiviewer_part.desktop
%{_kde4_libdir}/kde4/quithumbnail.so
%{_kde4_datadir}/kde4/services/designerthumbnail.desktop

%changelog
* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Mon Aug 26 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Aug 08 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
